/**
 * @author Jan-Christoph Borchardt, http://jancborchardt.net
 * @copyright Copyright (c) 2015, ownCloud, Inc.
 * @license AGPL-3.0
 *
 * This code is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License, version 3,
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License, version 3,
 * along with this program.  If not, see <http://www.gnu.org/licenses/>
 */


/* header color */
/* this is the main brand color */
#body-user #header,
#body-settings #header,
#body-public #header {
	background-color: #8789ae;
}

/* log in screen background color */
/* gradient of the header color and a brighter shade */
/* can also be a flat color or an image */
#body-login {
	background-image: url('../img/fundo.jpg');
}

/* primary action button, use sparingly */
/* header color as border, brighter shade again, here as background */
.primary,
input[type="submit"].primary,
input[type="button"].primary,
button.primary,
.button.primary,
.primary:active,
input[type="submit"].primary:active,
input[type="button"].primary:active,
button.primary:active,
.button.primary:active {
	border-color: #8789ae;
	background-color: #947bea;
}
.primary:hover,
input[type="submit"].primary:hover,
input[type="button"].primary:hover,
button.primary:hover,
.button.primary:hover,
.primary:focus,
input[type="submit"].primary:focus,
input[type="button"].primary:focus,
button.primary:focus,
.button.primary:focus {
	background-color: #8b75e4;
}
.primary:active, input[type="submit"].primary:active, input[type="button"].primary:active, button.primary:active, .button.primary:active,
.primary:disabled, input[type="submit"].primary:disabled, input[type="button"].primary:disabled, button.primary:disabled, .button.primary:disabled,
.primary:disabled:hover, input[type="submit"].primary:disabled:hover, input[type="button"].primary:disabled:hover, button.primary:disabled:hover, .button.primary:disabled:hover,
.primary:disabled:focus, input[type="submit"].primary:disabled:focus, input[type="button"].primary:disabled:focus, button.primary:disabled:focus, .button.primary:disabled:focus {
	background-color: #8789ae;
}

/* use logos from theme */
#header .logo {
	background-image: unset; /* url('../img/logo_cadcampo.png'); */
	width: 250px;
	height: 121px;
	background-size: 121px;
}
#header .logo-icon {
	background-image: url('../img/logo_invertido.png');
	background-size: 50%;
}

/*** EITA mods ***/

#body-login .wrapper {
	display: -webkit-box;
	-webkit-box-orient: horizontal;
	-webkit-box-pack: center;
	-webkit-box-align: center;

	display: -webkit-flex;
	-webkit-flex-direction: row;
	-webkit-align-self: center;
	-webkit-align-items: center;


	display: -ms-flexbox;
	-ms-flex-direction: row;
	-ms-flex-pack: center;
	-ms-flex-align: center;

	display: flex;
	flex-direction: row;
	align-self: center;
	align-items: center;
}

#header .header-appname-container {display: none}

#navigation div ul {margin-left:0 !important}

#body-login form {
    background-image: url('../img/login_form_bg.jpg');
    padding: 300px 30px 20px;
    background-position: center top;
    border-radius: 10px;
    margin: auto;
}

.login-additional label {
    color: #555 !important;
}

input.checkbox--white[type="checkbox"] + label::before {
    background: white;
    border: 1px solid #555;
    width: 15px;
    height: 15px;
    margin-right: 5px;
}

header {
    height: 1px;
}

#submit.login {
    background: #88b4b6;
    border-radius: 20px;
    border: 0px;
    margin-top: 30px;
}

#badgeMatrixBridge {
	display: none;
  position: relative;
  top: -8px;
  right: 8px;
  font-size: 9px;
  line-height: 11px;
  color: white;
  background-color: #c00;
  border-radius: 50%;
  border: none;
  margin: 0;
	padding: 3px;
	min-width: 12px;
  font-family: "Sans";
	font-weight: bold;
	text-align: center;
}
